diff --git a/templates/pages/developer/related.html b/templates/pages/developer/related.html
new file mode 100644
index 0000000..a2af815
--- /dev/null
+++ b/templates/pages/developer/related.html
@@ -0,0 +1,162 @@
+{%extends "base/page.html"%}
+{%block title%}Related Projects{%endblock%}
+{%block contents%}
+
+<h1>Related Projects</h1>
+
+<p>The following are information about related projects which the PostgreSQL community uses.</p>
+
+<p>To suggest additions to the list, please email
+    <a href="mailto:pgsql-www@lists.postgresql.org">pgsql-www@lists.postgresql.org</a>.
+</p>
+
+  <div class="row">
+    <div class="col-md-8">
+      <h2>pgweb</h2>
+      <p>
+        The PostgreSQL website is split into a dynamic and static part:
+        <ul>
+          <li><a href="https://git.postgresql.org/gitweb/?p=pgweb.git;a=summary">Dynamic content repository</a></li>
+          <li><a href="https://git.postgresql.org/gitweb/?p=pgweb-static.git;a=summary">Static files repository</a></li>
+        </ul>
+        The site itself runs on the  <a href="https://www.djangoproject.com/">django web framework</a>. Changes are discussed on the <a href="mailto:pgsql-www@lists.postgresql.org">pgsql-www</a> mailing list.
+      </p>
+    </div>
+  </div>
+
+  <div class="row">
+    <div class="col-md-8">
+      <h2>pgeu conference system</h2>
+      <p>
+        The "pgeu-system" powers a number of PostgreSQL conferences:
+        <ul>
+          <li><a href="https://www.postgresql.eu/events/">PostgreSQL Europe events</a></li>
+          <li><a href="https://postgresql.us/events/">United States PostgreSQL Association events</a></li>
+          <li>...</li>
+        </ul>
+        The conference system runs on the  <a href="https://www.djangoproject.com/">django web framework</a>, and is Open Source with a <a href="https://git.postgresql.org/gitweb/?p=pgeu-system.git;a=blob_plain;f=LICENSE;hb=HEAD">MIT License</a>.
+      </p>
+      <p>
+        The code is hosted on git.postgresql.org, and mirrorred to GitHub:
+        <ul>
+          <li><a href="https://git.postgresql.org/gitweb/?p=pgeu-system.git;a=summary">pgeu-system main repository</a></li>
+          <li><a href="https://github.com/pgeu/pgeu-system">GitHub mirror</a></li>
+          <li>...</li>
+        </ul>
+        The GitHub mirror can be used to submit Issues and Pull Requests. For feature discussions, please send an email to <a href="mailto:pgeu-system@lists.postgresql.eu">pgeu-system@lists.postgresql.eu</a>.
+      </p>
+    </div>
+  </div>
+
+  <div class="row">
+    <div class="col-md-8">
+      <h2>pglister</h2>
+      <p>
+        The PostgreSQL mailinglist system is powered by "pglister":
+        <ul>
+          <li><a href="https://git.postgresql.org/gitweb/?p=pglister.git;a=summary">pglister main repository</a></li>
+          <li><a href="https://lists.postgresql.org/">Mailing lists</a></li>
+        </ul>
+      </p>
+    </div>
+  </div>
+
+  <div class="row">
+    <div class="col-md-8">
+      <h2>PostgreSQL Build Farm</h2>
+      <p>
+        The PostgreSQL Build Farm tests the current PostgreSQL code, and all supported versions, on a great number of devices provided by the community:
+        <ul>
+          <li><a href="https://buildfarm.postgresql.org/">Build Farm website</a></li>
+          <li><a href="https://github.com/PGBuildFarm/server-code">Build Farm server code repository</a></li>
+          <li><a href="https://github.com/PGBuildFarm/client-code">Build Farm client code repository</a></li>
+          <li><a href="http://wiki.postgresql.org/wiki/PostgreSQL_Buildfarm_Howto">How to run your own buildfarm member</a></li>
+        </ul>
+        For Buildfarm related discussions, use the <a href="mailto:buildfarm-members@lists.postgresql.org">buildfarm-members</a> mailing list.
+      </p>
+    </div>
+  </div>
+
+  <div class="row">
+    <div class="col-md-8">
+      <h2>Commitfest</h2>
+      <p>
+        PostgreSQL uses a unique system for managing "Commitfests", which is a single development cycle:
+        <ul>
+          <li><a href="https://commitfest.postgresql.org/">Commitfest website</a></li>
+          <li><a href="https://git.postgresql.org/gitweb/?p=pgcommitfest2.git;a=summary">pgcommitfest main repository</a></li>
+        </ul>
+        Discussions related to any of the patches listed on the Commitfest pages take place on the <a href="mailto:pgsql-hackers@lists.postgresql.org">pgsql-hackers</a> mailing list. Any discussion related to the Commitfest tool itself is best asked on the <a href="mailto:pgsql-www@lists.postgresql.org">pgsql-www</a> mailing list.
+      </p>
+    </div>
+  </div>
+
+  <div class="row">
+    <div class="col-md-8">
+      <h2>apt.postgresql.org</h2>
+      <p>
+        The APT repository provides PostgreSQL packages for Debian/Ubuntu based systems:
+        <ul>
+          <li><a href="https://wiki.postgresql.org/wiki/Apt">Wiki page with details</a></li>
+        </ul>
+        Discussions related to APT packages take place on the <a href="mailto:pgsql-pkg-debian@postgresql.org">pgsql-pkg-debian</a> mailing list.
+      </p>
+    </div>
+  </div>
+
+  <div class="row">
+    <div class="col-md-8">
+      <h2>yum.postgresql.org</h2>
+      <p>
+        The YUM repository provides PostgreSQL packages for Red Hat/CentOS/Fedora based systems (and derivates):
+        <ul>
+          <li><a href="https://yum.postgresql.org/">Website with details</a></li>
+          <li><a href="https://redmine.postgresql.org/projects/pgrpms/">Issue tracker</a></li>
+        </ul>
+        Discussions related to YUM packages take place on the <a href="mailto:pgsql-pkg-yum@postgresql.org">pgsql-pkg-yum</a> mailing list.
+      </p>
+    </div>
+  </div>
+
+  <div class="row">
+    <div class="col-md-8">
+      <h2>Press Kit</h2>
+      <p>
+        The Press Kit repository contains the translated press releases:
+        <ul>
+          <li><a href="https://git.postgresql.org/gitweb/?p=press.git;a=summary">Press Kit repository</a></li>
+        </ul>
+        If you are interested in providing a Press Kit in your language, please send an email to the <a href="mailto:pgsql-www@lists.postgresql.org">pgsql-www</a> mailing list.
+      </p>
+    </div>
+  </div>
+
+  <div class="row">
+    <div class="col-md-8">
+      <h2>Coverage</h2>
+      <p>
+        Code coverage reports show which parts of the source code is covered by tests:
+        <ul>
+          <li><a href="https://coverage.postgresql.org//">Coverage website</a></li>
+          <li><a href="http://ltp.sourceforge.net/coverage/lcov.php">LCOV website</a></li>
+        </ul>
+        The code coverage overview is generated using the LCOV tool. Code coverage improvements should be submitted as patches on the Commitfest website, and discussed on the <a href="mailto:pgsql-hackers@lists.postgresql.org">pgsql-hackers</a> mailing list.
+      </p>
+    </div>
+  </div>
+
+  <div class="row">
+    <div class="col-md-8">
+      <h2>PostgreSQL Performance Farm</h2>
+      <p>
+        The PostgreSQL Performance Farm gathers performance data:
+        <ul>
+          <li><a href="https://github.com/PGPerfFarm/pgperffarm">Performance Farm code repository</a></li>
+        </ul>
+        For Perffarm related discussions, use the <a href="mailto:pgsql-www@lists.postgresql.org">pgsql-www</a> mailing list.<br/>
+        Note: this project is currently under development.
+      </p>
+    </div>
+  </div>
+
+{%endblock%}
diff --git a/pgweb/util/contexts.py b/pgweb/util/contexts.py
index fbf0036..d86e8f2 100644
--- a/pgweb/util/contexts.py
+++ b/pgweb/util/contexts.py
@@ -61,6 +61,7 @@ sitenav = {
         ]},
         {'title': 'Mailing Lists', 'link': '/list/'},
         {'title': 'Developer FAQ', 'link': 'https://wiki.postgresql.org/wiki/Developer_FAQ'},
+        {'title': 'Related Projects', 'link': '/developer/related/'},
     ],
     'support': [
         {'title': 'Support', 'link': '/support/'},
